Выпуск сканера сетевой безопасности Nmap 7.50

2 месяца ago admin 0

Представлен релиз сканера сетевой безопасности Nmap 7.50, предназначенного для проведения аудита сети и выявления активных сетевых сервисов. В состав новой версии включено 14 новых NSE-скриптов для обеспечения автоматизации различных действий с Nmap и добавлено более 300 новых сигнатур для определения операционных систем, сетевых приложений и протоколов.

Добавлено 323 идентификатора версий приложений/сервисов и 14 новых идентификаторов протоколов. В том числе добавленлено определение apachemq, Yandex Clickhouse, dtls, slmp, Modbus, bro, Drawpile, JMON, NoMachine Network Server, LibreOffice Impress Remote Server и Apache ZooKeeper, а также различных криптовалют, систем домашней автоматизации и TV-приставок. Добавлено 8 новых сигнатур для определения компонентов инфраструктуры Apache Hadoop. Расширена база инженерных учётных записей, добавлены предустановленные логины для APC Management Card и старых моделей NetScreen ScreenOS. Число определяемых протоколов доведено до 1193, версий ОС до 5336, приложений и сервисов до 11418.

Расширены возможности движка Nmap Scripting Engine (NSE), предназначенного для обеспечения автоматизации различных действий с Nmap. Модульная структура NSE позволяет автоматизировать решение широкого спектра сетевых задач, от формирования запросов для получения информации о конфигурации сетевых приложений, до выявления наличия определённых уязвимостей и реализации расширенных техник обнаружения хостов.

Новые NSE-скрипты:

  • broadcast-ospf2-discover — определяет маршрутизаторы OSPF 2, имеется поддержка аутентификации OSPFv2;
  • cics-info — проверяет системы IBM TN3270 на предмет поддержки транзакционных сервисов CICS и извлекает полезную информацию;
  • cics-user-brute — перебирает имена пользоватлей CICS на системах IBM TN3270;
  • http-cookie-flags — проверяет сессионные HTTP cookies на наличие флагов HTTPOnly и Secure;
  • http-security-headers — проверяет заголовки ответа HTTP на предмет соответствия требованиями безопасности OWASP Secure Headers Project;
  • http-vuln-cve2017-5638 — определяет наличие уязвимости в Apache Struts 2;
  • http-vuln-cve2017-5689 — определяет наличие уязвимости в системах с поддержкой Intel AMT (Active Management Technology) (INTEL-SA-00075);
  • http-vuln-cve2017-1001000 — определяет наличие уязвимости в WordPress 4.7.0 и 4.7.1;
  • impress-remote-discover — пытается подключиться к серверу презентаций LibreOffice Impress и извлечь доступную информацию. Для подключения требуется PIN и скрипт предоставляет средства для его подбора;
  • smb-double-pulsar-backdoor — выявляет наличие бэкдора Double Pulsar в Windows;
  • smb-vuln-cve-2017-7494 — определяет наличие уязвимости Sambacry (CVE 2017-7494) в Samba с открытыми на запись разделами;
  • smb-vuln-ms17-010 — выявляет критическую уязвимость в Windows (ms17-010), эксплуатируемую вредоносным ПО Wannacry;
  • tls-ticketbleed — выявляет наличие уязвимости Ticketbleed (CVE-2016-9244) в устройствах F5 BIG-IP;
  • vmware-version — запрашивает информацию о версии через VMWare SOAP API.

Продолжена работа над библиотекой Npcap, развиваемой для платформы Windows в качестве замены WinPcap и использующей современный Windows API для организации захвата пакетов. Npcap демонстрирует более высокую производительность и лучшую совместимость, в том числе поддерживает Windows 10. В Npcap добавлена поддержка захвата и подстановки пакетов на loopback-интерфейсе, raw-сниффинга в беспроводных сетях и некоторых других возможностей, для выполнения которых требуется наличие полномочий администратора. Добавлена поддержка TLS SNI на платформе Windows.


Source: pirates.in.ua